Crystal Space: csDocumentAttributeCommon Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csDocumentAttributeCommon Class Reference

Partial iDocumentAttribute implementation with commonly duplicated logic. More...

`#include <csutil/documentcommon.h>`

Inheritance diagram for csDocumentAttributeCommon:

[legend]
List of all members.

## Public Member Functions
| csDocumentAttributeCommon ()
virtual bool | GetValueAsBool ()
| Get value of this attribute as float.
virtual float | GetValueAsFloat ()
| Get value of this attribute as float.
virtual int | GetValueAsInt ()
| Returns value.
virtual void | SetValueAsFloat (float f)
| Set float value of this attribute.
virtual void | SetValueAsInt (int v)
| Converts 'value' to a string and calls SetValue() with it.

## Detailed Description

Partial iDocumentAttribute implementation with commonly duplicated logic.

Definition at line 128 of file documentcommon.h.

## Member Function Documentation

virtual bool csDocumentAttributeCommon::GetValueAsBool | ( |  | ) | `[virtual]`

Get value of this attribute as float.

Implements iDocumentAttribute.

virtual float csDocumentAttributeCommon::GetValueAsFloat | ( |  | ) | `[virtual]`

Get value of this attribute as float.

Implements iDocumentAttribute.

virtual int csDocumentAttributeCommon::GetValueAsInt | ( |  | ) | `[virtual]`

Returns value.

Uses GetValue() and converts the string to the return type.

Implements iDocumentAttribute.

virtual void csDocumentAttributeCommon::SetValueAsFloat | ( | float | f | ) | `[virtual]`

Set float value of this attribute.

Implements iDocumentAttribute.

virtual void csDocumentAttributeCommon::SetValueAsInt | ( | int | v | ) | `[virtual]`

Converts 'value' to a string and calls SetValue() with it.

Implements iDocumentAttribute.

The documentation for this class was generated from the following file:

- csutil/documentcommon.h